Bridgly SDK
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.instagram.getTaggedPosts({
username: "string",
count: 10,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/instagram/tagged-posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"count": 10,
"cursor": "<string>"
}
'import requests
url = "https://api.bridgly.app/instagram/tagged-posts"
payload = {
"username": "<string>",
"count": 10,
"cursor": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>', count: 10, cursor: '<string>'})
};
fetch('https://api.bridgly.app/instagram/tagged-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/instagram/tagged-posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'username' => '<string>',
'count' => 10,
'cursor' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/instagram/tagged-posts"
payload := strings.NewReader("{\n \"username\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/instagram/tagged-posts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"username\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/instagram/tagged-posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"username\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"data": {
"nextCursor": "<string>",
"posts": [
{
"id": "<string>",
"type": "Image",
"display_url": "<string>",
"video_url": "<string>",
"width": 123,
"height": 123,
"video_duration": 123,
"accessibility_caption": "<string>",
"image_versions": [
{
"url": "<string>",
"width": 123,
"height": 123
}
],
"video_versions": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": 123
}
],
"has_audio": true,
"video_dash_manifest": "<string>",
"number_of_qualities": 123,
"carousel_parent_id": "<string>",
"user_tags": [
{
"user": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"position": [
123
]
}
],
"shortcode": "<string>",
"url": "<string>",
"caption": "<string>",
"likes": 123,
"comments": 123,
"timestamp": 123,
"is_video": true,
"video_view_count": 123,
"owner": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"carousel_media": [
{
"id": "<string>",
"type": "Image",
"display_url": "<string>",
"video_url": "<string>",
"width": 123,
"height": 123,
"video_duration": 123,
"accessibility_caption": "<string>",
"image_versions": [
{
"url": "<string>",
"width": 123,
"height": 123
}
],
"video_versions": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": 123
}
],
"has_audio": true,
"video_dash_manifest": "<string>",
"number_of_qualities": 123,
"carousel_parent_id": "<string>",
"user_tags": [
{
"user": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"position": [
123
]
}
]
}
],
"caption_id": "<string>",
"caption_created_at": 123,
"caption_is_edited": true,
"caption_has_translation": true,
"product_type": "<string>",
"play_count": 123,
"comments_disabled": true,
"like_and_view_counts_disabled": true,
"is_paid_partnership": true,
"coauthors": [
{
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
}
],
"pinned_user_ids": [
"<string>"
],
"carousel_media_count": 123,
"location": {
"id": "<string>",
"url": "<string>",
"name": "<string>",
"slug": "<string>",
"latitude": 123,
"longitude": 123,
"category": "<string>",
"posts_count": 123,
"address": "<string>",
"city": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"price_range": 123,
"hours_status": "<string>"
}
}
]
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Instagram
List posts tagging a profile
List public posts in which an Instagram account is tagged, including captions, media links and engagement counts. Continue with nextCursor; Instagram controls which tagged posts are visible. Costs 1 credit per result returned, with a minimum of 1 credit per request.
POST
/
instagram
/
tagged-posts
Bridgly SDK
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.instagram.getTaggedPosts({
username: "string",
count: 10,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/instagram/tagged-posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"count": 10,
"cursor": "<string>"
}
'import requests
url = "https://api.bridgly.app/instagram/tagged-posts"
payload = {
"username": "<string>",
"count": 10,
"cursor": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>', count: 10, cursor: '<string>'})
};
fetch('https://api.bridgly.app/instagram/tagged-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/instagram/tagged-posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'username' => '<string>',
'count' => 10,
'cursor' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/instagram/tagged-posts"
payload := strings.NewReader("{\n \"username\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/instagram/tagged-posts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"username\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/instagram/tagged-posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"username\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"data": {
"nextCursor": "<string>",
"posts": [
{
"id": "<string>",
"type": "Image",
"display_url": "<string>",
"video_url": "<string>",
"width": 123,
"height": 123,
"video_duration": 123,
"accessibility_caption": "<string>",
"image_versions": [
{
"url": "<string>",
"width": 123,
"height": 123
}
],
"video_versions": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": 123
}
],
"has_audio": true,
"video_dash_manifest": "<string>",
"number_of_qualities": 123,
"carousel_parent_id": "<string>",
"user_tags": [
{
"user": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"position": [
123
]
}
],
"shortcode": "<string>",
"url": "<string>",
"caption": "<string>",
"likes": 123,
"comments": 123,
"timestamp": 123,
"is_video": true,
"video_view_count": 123,
"owner": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"carousel_media": [
{
"id": "<string>",
"type": "Image",
"display_url": "<string>",
"video_url": "<string>",
"width": 123,
"height": 123,
"video_duration": 123,
"accessibility_caption": "<string>",
"image_versions": [
{
"url": "<string>",
"width": 123,
"height": 123
}
],
"video_versions": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": 123
}
],
"has_audio": true,
"video_dash_manifest": "<string>",
"number_of_qualities": 123,
"carousel_parent_id": "<string>",
"user_tags": [
{
"user": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"position": [
123
]
}
]
}
],
"caption_id": "<string>",
"caption_created_at": 123,
"caption_is_edited": true,
"caption_has_translation": true,
"product_type": "<string>",
"play_count": 123,
"comments_disabled": true,
"like_and_view_counts_disabled": true,
"is_paid_partnership": true,
"coauthors": [
{
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
}
],
"pinned_user_ids": [
"<string>"
],
"carousel_media_count": 123,
"location": {
"id": "<string>",
"url": "<string>",
"name": "<string>",
"slug": "<string>",
"latitude": 123,
"longitude": 123,
"category": "<string>",
"posts_count": 123,
"address": "<string>",
"city": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"price_range": 123,
"hours_status": "<string>"
}
}
]
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
application/json
Instagram username, or the profile link, e.g. "instagram" or "https://www.instagram.com/instagram/"
Minimum string length:
1Number of results to return (1–10). Defaults to 10.
Required range:
1 <= x <= 10The previous response's nextCursor, to fetch the next page. Omit it for the first page.
Was this page helpful?